import * as lsp from 'vscode-languageserver';
import { TextDocument } from 'vscode-languageserver-textdocument';
export declare function positionInRange(document: TextDocument, position: lsp.Position, range: lsp.Range): boolean;
export declare function rangeInRange(document: TextDocument, range1: lsp.Range, range2: lsp.Range): boolean;
export declare function rangeDistance(document: TextDocument, range1: lsp.Range, range2: lsp.Range): number;
export declare function toDiagnosticSeverity(category: string): lsp.DiagnosticSeverity;
export declare function toFoldingRange(range: lsp.Range, kind?: string): lsp.FoldingRange;
